Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 178181 - media-video/vlc - add -unicode option to vlc
Summary: media-video/vlc - add -unicode option to vlc
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement
Assignee: Gentoo Media-video project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-12 11:46 UTC by Jan Safrata
Modified: 2008-06-25 15:15 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Safrata 2007-05-12 11:46:28 UTC
vlc-0.8.6b compiles just fine even with wxGTK without unicode support, so we could add unicode use flag again, as it seems that upstream supports vlc with wxGTK without unicode.

I have wxGTK without unicode support installed:

# equery uses wxGTK
<cut>
[ Found these USE variables for x11-libs/wxGTK-2.6.2-r1 ]
 U I
<cut>
 - - unicode  : Adds support for Unicode

# ls -l /usr/lib/wx/config/
total 40
-rwxr-xr-x 1 root root 39414 2006-12-14 22:00 gtk2-ansi-release-2.6

and vlc-0.8.6b with following patch to ebuild compiles and runs just fine:

--- /usr/portage/media-video/vlc/vlc-0.8.6b.ebuild      2007-05-07 17:35:55.000000000 +0200
+++ /usr/local/portage/myoverlay/media-video/vlc/vlc-0.8.6b.ebuild   2007-05-12 13:32:03.000000000 +0200
@@ -36,7 +36,7 @@
 oss aalib ggi libcaca esd arts alsa wxwindows ncurses xosd lirc stream
 mp3 xv bidi sdl sdl-image png xml samba daap corba mod speex shout rtsp
 win32codecs skins hal avahi xinerama cddb directfb upnp nsplugin seamonkey
-optimisememory libnotify jack musepack x264 dc1394"
+optimisememory libnotify jack musepack x264 dc1394 unicode"

 RDEPEND="
                >=media-video/ffmpeg-0.4.9_p20050226-r1
@@ -129,7 +129,11 @@
 pkg_setup() {
        if use wxwindows || use skins; then
                WX_GTK_VER="2.6"
-               need-wxwidgets unicode || die "You need to install wxGTK with unicode support."
+               if use unicode; then
+                       need-wxwidgets unicode || die "You need to install wxGTK with unicode support."
+               else
+                       need-wxwidgets gtk2 || die "You need to install wxGTK without unicode support."
+               fi
        fi

        if use skins && ! use truetype; then
@@ -276,7 +280,7 @@
                --disable-portaudio \
                --disable-libtar \
                --disable-optimizations \
-               --enable-utf8 \
+               $(use_enable unicode utf8) \
                --enable-libtool \
                $(use_enable nsplugin mozilla) \
                XPIDL="${XPIDL}" MOZILLA_CONFIG="${MOZILLA_CONFIG}" \


# emerge -av vlc
<cut>
[ebuild   R   ] media-video/vlc-0.8.6b  USE="X a52 aalib alsa dts dvb dvd fbcon flac hal lirc matroska mp3 mpeg musepack ncurses nsplugin ogg opengl oss png rtsp shout skins speex stream theora truetype v4l vcd vorbis win32codecs wxwindows x264 xml xosd xv -3dfx (-altivec) -arts -avahi -bidi -cdda -cddb -corba -daap -dc1394 -debug -directfb -esd -ggi -gnutls -httpd -jack -libcaca -libnotify -live -mod -optimisememory -samba -sdl -sdl-image -seamonkey -svg -svga -unicode -upnp -vlm -xinerama" 0 kB [2]
<cut>
>>> Emerging (1 of 1) media-video/vlc-0.8.6b to /
<cut>
 * Using /usr/lib/wx/config/gtk2-ansi-release-2.6
<cut>
>>> Regenerating /etc/ld.so.cache...
>>> media-video/vlc-0.8.6b merged.


Reproducible: Always

Steps to Reproduce:
1. USE=-unicode emerge -1 wxGTK
2. patch vlc-0.8.6b.ebuild to add unicode use flag support
3. USE=-unicode emerge vlc
4. see that it compiles and works without problem...
Comment 1 Jan Safrata 2007-05-12 11:58:00 UTC
The following warning during configure can be safely ignored:

checking for wx-config... /usr/lib/wx/config/gtk2-ansi-release-2.6

  Warning: No config found to match: /usr/lib/wx/config/gtk2-ansi-release-2.6 --unicode
           in /usr/lib/wx/config
  If you require this configuration, please install the desired
  library build.  If this is part of an automated configuration
  test and no other errors occur, you may safely ignore it.
  You may use wx-config --list to see all configs available in
  the default prefix.


# wx-config --list

    Default config is gtk2-ansi-release-2.6

  Default config will be used for output

As said, compiles and runs just fine without unicode support in wxGTK.
Comment 2 Alexis Ballier gentoo-dev 2007-05-26 11:10:48 UTC
what about bug #113449 ?
what about http://wiki.videolan.org/Unicode ?
what will happen if you have wxgtk 2.8 installed ?
Comment 3 Werner M. Mayer 2007-05-27 14:48:20 UTC
I also have a similar problem, but I'd like to go back a little in history to explain, why some workarounds may have to be excluded due to them excluding the package audacity, just to name an experienced problem package.  Yesterday I tried to emerge audacity which failed, until I found a bug report on bugs.gentoo.org, saying I should remerge wxGTK setting wxgtk and/or  audacity to ~arch, and to reemerge audacity this way:   USE="-unicode X" emerge -v audacity    In my case ~arch is set to ~x86 in /etc/portage/package.keywords , after  which audacity emerge successfully, also installing wxGTK-2.6. At the moment I have both wxGTK versions installed 2.4 and 2.6:  wxGTK 2.4: ... ./usr/share/doc/wxGTK-2.4.2-r4/LICENCE.txt.bz2  ./usr/share/doc/wxGTK-2.4.2-r4/CHANGES-GTK.txt.bz2  ./usr/share/doc/wxGTK-2.4.2-r4/README.txt.bz2  ./usr/share/doc/wxGTK-2.4.2-r4/README-GTK.txt.bz2  ./usr/share/wx/  ./usr/share/wx/2.4/  ./usr/share/wx/2.4/afm/  ./usr/share/wx/2.4/afm/HelvO.afm  ./usr/share/wx/2.4/afm/CourBoO.afm  ./usr/share/wx/2.4/afm/HelvBo.afm  ./usr/share/wx/2.4/afm/TimesRo.afm  ./usr/share/wx/2.4/afm/TimesO.afm  ./usr/share/wx/2.4/afm/Helv.afm  ./usr/share/wx/2.4/afm/HelvBoO.afm  ./usr/share/wx/2.4/afm/TimesBoO.afm  ./usr/share/wx/2.4/afm/CourBo.afm  ./usr/share/wx/2.4/afm/TimesBo.afm  ./usr/share/wx/2.4/afm/CourO.afm  ./usr/share/wx/2.4/afm/Zapf.afm  ./usr/share/wx/2.4/afm/Cour.afm  ./usr/share/wx/2.4/gs_afm/  ./usr/share/wx/2.4/gs_afm/HelvO.afm  ./usr/share/wx/2.4/gs_afm/CourBoO.afm  ./usr/share/wx/2.4/gs_afm/HelvBo.afm  ./usr/share/wx/2.4/gs_afm/TimesRo.afm  ./usr/share/wx/2.4/gs_afm/TimesO.afm  ./usr/share/wx/2.4/gs_afm/Helv.afm  ./usr/share/wx/2.4/gs_afm/HelvBoO.afm  ./usr/share/wx/2.4/gs_afm/TimesBoO.afm  ./usr/share/wx/2.4/gs_afm/CourBo.afm  ./usr/share/wx/2.4/gs_afm/TimesBo.afm  ./usr/share/wx/2.4/gs_afm/CourO.afm  ./usr/share/wx/2.4/gs_afm/Zapf.afm  ./usr/share/wx/2.4/gs_afm/Cour.afm  ./usr/share/aclocal/  ./usr/share/aclocal/wxwin.m4  ./usr/bin/  ./usr/bin/wxgtk2u-2.4-config  ./usr/bin/wx-config  ./usr/bin/wxgtk2-2.4-config  wxGTK 2.6:... ./usr/share/doc/wxGTK-2.6.3.3/  ./usr/share/doc/wxGTK-2.6.3.3/readme.txt.bz2  ./usr/share/doc/wxGTK-2.6.3.3/changes.txt.bz2  ./usr/share/aclocal/  ./usr/share/aclocal/wxwin.m4  ./usr/bin/  ./usr/bin/wx-config-2.6  ./usr/bin/wxrc-2.6  ./usr/bin/wxrc  >>> Done.   * dev-libs/wxbase has been removed from portage.   * wxBase is installed with wxGTK, as one of many libraries.   * If only wxBase is wanted, -X USE flag may be specified.   Now I tried to emerge vlc, even have it as with and/or without ~arch , in my case on ~x86 , but what ever I try I always get an error:  USE="X -unicode" emerge -vn vlc These are the packages that would be merged, in order: Calculating dependencies... done! [ebuild  N    ] media-video/vlc-0.8.6-r1  USE="X a52 alsa dts dvb dvd lirc mp3 mpeg musepack ncurses nsplugin ogg oss png speex svga truetype v4l vcd vorbis win32codecs wxwindows xinerama xml xv -3dfx -aalib (-altivec) -arts -avahi -bidi -cdda -cddb -corba -daap -debug -directfb -esd -fbcon -flac -ggi -gnutls -hal -httpd -libcaca -libnotify -live -matroska -mod -opengl -optimisememory -rtsp -samba -sdl -sdl-image -seamonkey -shout -skins -stream -svg -theora -upnp -vlm -xosd" 0 kB  Total: 1 package (1 new), Size of downloads: 0 kB  >>> Emerging (1 of 1) media-video/vlc-0.8.6-r1 to /  * vlc-patches-38.tar.bz2 MD5 ;-) ...                                     [ ok ] * vlc-patches-38.tar.bz2 RMD160 ;-) ...                                  [ ok ] * vlc-patches-38.tar.bz2 SHA1 ;-) ...                                    [ ok ] * vlc-patches-38.tar.bz2 SHA256 ;-) ...                                  [ ok ] * vlc-patches-38.tar.bz2 size ;-) ...                                    [ ok ] * vlc-0.8.6.tar.bz2 MD5 ;-) ...                                          [ ok ] * vlc-0.8.6.tar.bz2 RMD160 ;-) ...                                       [ ok ] * vlc-0.8.6.tar.bz2 SHA1 ;-) ...                                         [ ok ] * vlc-0.8.6.tar.bz2 SHA256 ;-) ...                                       [ ok ] * vlc-0.8.6.tar.bz2 size ;-) ...                                         [ ok ] * checking ebuild checksums ;-) ...                                      [ ok ] * checking auxfile checksums ;-) ...                                     [ ok ] * checking miscfile checksums ;-) ...                                    [ ok ] * checking vlc-0.8.6.tar.bz2 ;-) ...                                     [ ok ] * checking vlc-patches-38.tar.bz2 ;-) ...                                [ ok ]!!! set-wxconfig: Error:  Can't find normal or debug version: !!! set-wxconfig:         /usr/lib/wx/config/gtk2-unicode-release-2.6 not found !!! set-wxconfig:         /usr/lib/wx/config/gtk2-unicode-debug-2.6 not found !!! You need to emerge wxGTK with unicode in your USE  Now the problem is, to get audacity to work I had to compile wxGTK with USE="-unicode X", for vlc I seem to need the exact opposite compile flag, this is not very useful.  As I can't past a attachment or don't know how to do so via links I will include my emerge --info in the next comment. 
Comment 4 Werner M. Mayer 2007-05-27 15:21:06 UTC
My emerge --info for the audacity wxGTK vlc problem:  Portage 2.1.2.2 (default-linux/x86/2007.0, gcc-4.1.1, glibc-2.5-r2, 2.6.21 i686)  =================================================================  System uname: 2.6.21 i686 Celeron (Mendocino)  Gentoo Base System release 1.12.9  Timestamp of tree: Sun, 13 May 2007 01:47:01 +0000  ccache version 2.4 [enabled]  dev-java/java-config: 1.3.7, 2.0.31-r5  dev-lang/python:     2.4.4-r4  dev-python/pycrypto: 2.0.1-r5  dev-util/ccache:     2.4-r7  sys-apps/sandbox:    1.2.17  sys-devel/autoconf:  2.13, 2.61  sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10  sys-devel/binutils:  2.16.1-r3  sys-devel/gcc-config: 1.3.16  sys-devel/libtool:   1.5.22  virtual/os-headers:  2.6.17-r2  ACCEPT_KEYWORDS="x86"  AUTOCLEAN="yes"  CBUILD="i686-pc-linux-gnu"  CFLAGS="-O2 -pipe"  CHOST="i686-pc-linux-gnu"  CONFIG_PROTECT="/etc /usr/share/X11/xkb"  CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vm s/ /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli -php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"  CXXFLAGS="-O2 -pipe"  DISTDIR="/usr/portage/distfiles"  EMERGE_DEFAULT_OPTS=""  FEATURES="autoaddcvs buildpkg ccache cvs distlocks keeptemp keepwork metadata-t ransfer noclean notitles sandbox sfperms strict userpriv usersandbox"  GENTOO_MIRRORS="http://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://ftp.snt.utw ente.nl/pub/os/linux/gentoo http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo / ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://distro.ibiblio.org/ pub/linux/distributions/gentoo/ http://distro.ibiblio.org/pub/linux/distributio ns/gentoo/ ftp://ftp.gentoo.mesh-solutions.com/gentoo/ http://pandemonium.tisca li.de/pub/gentoo/ ftp://pandemonium.tiscali.de/pub/gentoo/ http://gentoo.interg enia.de ftp://files.gentoo.org http://files.gentoo.org ftp://ftp.ntua.gr/pub/li nux/gentoo/ http://ftp.ntua.gr/pub/linux/gentoo/ ftp://ftp.uoi.gr/mirror/OS/gen too/ http://ftp.uoi.gr/mirror/OS/gentoo/ http://ftp.physics.auth.gr/pub/mirrors /gentoo/ ftp://ftp.physics.auth.gr/pub/mirrors/gentoo/ http://gentoo.inf.elte.h u/ ftp://gentoo.inf.elte.hu/ ftp://ftp.nyx.hu/gentoo http://ftp.rhnet.is/pub/ge ntoo/ ftp://ftp.rhnet.is/pub/gentoo/ http://mirror.hamakor.org.il/pub/mirrors/g entoo/ http://www.die.unipd.it/pub/Linux/distributions/gentoo-sources/ ftp://ft p.unina.it/pub/linux/distributions/gentoo http://www.las.ic.unicamp.br/pub/gent oo/ ftp://ftp.las.ic.unicamp.br/pub/gentoo/ http://gentoo.inode.at/ ftp://gento o.inode.at/source/ http://gd.tuwien.ac.at/opsys/linux/gentoo/ ftp://gd.tuwien.a c.at/opsys/linux/gentoo/ http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ f tp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ http://ftp.linux.ee/pub/gent oo/distfiles/ ftp://ftp.linux.ee/pub/gentoo/distfiles/ http://ftp.public.fix.fi /gentoo/ ftp://ftp.public.fix.fi/gentoo http://gentoo.modulix.net/gentoo/ http: //ftp.club-internet.fr/pub/mirrors/gentoo ftp://gentoo.imj.fr/pub/gentoo/ ftp:/ /ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/ pub/Linux/gentoo http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ ftp ://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ http://ftp.uni-erlangen.de/pub/mi rrors/gentoo ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp.join.uni-mu enster.de/pub/linux/distributions/gentoo ftp://ftp.wh2.tu-dresden.de/pub/mirror s/gentoo ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo http://m irrors.sec.informatik.tu-darmstadt.de/gentoo/ ftp://mirror.scarlet-internet.nl/ pub/gentoo http://gentoo.tiscali.nl/ ftp://gentoo.tiscali.nl/pub/mirror/gentoo/  http://mirror.gentoo.no/ http://src.gentoo.pl http://gentoo.prz.rzeszow.pl htt p://gentoo.zie.pg.gda.pl http://gentoo.po.opole.pl ftp://gentoo.po.opole.pl ftp ://mirror.icis.pcz.pl/gentoo/ ftp://ftp.lug.ro/gentoo http://ftp.lug.ro/gentoo/  http://ftp.roedu.net/pub/mirrors/gentoo.org/ ftp://ftp.roedu.net/pub/mirrors/g entoo.org/ ftp://ftp.romnet.org/gentoo/ http://ftp.romnet.org/gentoo/ http://mi rrors.evolva.ro/gentoo/ ftp://mirrors.evolva.ro/gentoo/ ftp://ftp.du.se/pub/os/ gentoo http://ftp.du.se/pub/os/gentoo http://ds.thn.htu.se/linux/gentoo ftp://f tp.solnet.ch/mirror/Gentoo http://gentoo.mirror.solnet.ch http://gentoo.blueyon der.co.uk ftp://mirrors.blueyonder.co.uk/mirrors/gentoo http://www.mirrorservic e.org/sites/www.ibiblio.org/gentoo/ ftp://ftp.mirrorservice.org/sites/www.ibibl io.org/gentoo/ http://mirror.etf.bg.ac.yu/gentoo ftp://mirror.etf.bg.ac.yu/gent oo/ http://public.planetmirror.com/pub/gentoo/ ftp://ftp.planetmirror.com/pub/g  oo/ http://public.planetmirror.com/pub/gentoo/ ftp://ftp.planetmirror.com/pub/g entoo/ http://mirror.pacific.net.au/linux/Gentoo ftp://mirror.pacific.net.au/li nux/Gentoo http://mirror.isp.net.au/ftp/pub/gentoo/ ftp://mirror.isp.net.au/pub /gentoo/ ftp://ftp.swin.edu.au/gentoo http://ftp.swin.edu.au/gentoo http://mirr or.gentoo.gr.jp http://gentoo.gg3.net/ ftp://gg3.net/pub/linux/gentoo/ ftp://ft p.ecc.u-tokyo.ac.jp/GENTOO http://gentoo.channelx.biz/ http://ftp.jaist.ac.jp/p ub/Linux/Gentoo/ ftp://ftp.jaist.ac.jp/pub/Linux/Gentoo/"  LANG="de_DE@euro"  LINGUAS="DE"  MAKEOPTS="-j2"  PKGDIR="/usr/portage/packages"  PORTAGE_RSYNC_EXTRA_OPTS=""  PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress  --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/ distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"  PORTAGE_TMPDIR="/var/tmp"  PORTDIR="/usr/portage"  PORTDIR_OVERLAY="/usr/local/portage"  SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"  USE="a52 aac acl alsa audiofile berkdb bitmap-fonts bzip2 cdparanoia cdr clamav  cli cracklib crypt dri dts dv dvb dvd dvdr dvdread encode exif firefox fortran  ftp gdbm gphoto2 gpm gtk gtk2 iconv ieee1394 ipv6 isdnlog jack java javascript  jbig joystick jpeg jpeg2k lash lesstif libg++ libsamplerate lirc lm_sensors lp d mad mbox midi mikmod mmx mng mozilla mp3 mpeg mplayer musepack nas ncurses ne tboot nls nptl nptlonly nsplugin ogg openal osc oss pam pcmcia pcre pda pdf per l php png pppd prelude python qt3 qt4 quicktime readline recode reflection sasl  scanner session sharedmem smartcard sndfile sox speex spell spl ssl svga tcl t cltk tcpd tidy tiff tk truetype truetype-fonts type1-fonts unicode usb v4l vcd  verbose videos vorbis wifi win32codecs wmf wxwindows x86 xine xinerama xml xorg  xpm xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106  cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0  intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PL UGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958  ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm so ftvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DE VICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" L INGUAS="DE" USERLAND="GNU" VIDEO_CARDS="apm ark ati chips cirrus cyrix dummy fb dev glint i128 i740 i810 imstt mga neomagic nsc nv rendition s3 s3virge savage  siliconmotion sis sisusb tdfx tga trident tseng v4l vesa vga via vmware voodoo" Unset:  CTARGET, INSTALL_MASK, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPR ESS_FLAGS   I forgot to mention that I have deinstalled/unmerged eselect package before  reemerging audacity wxGTK and trying to emerge vlc.   The only not successfully installed package remains vlc-0.8.6-r1 .  PS: I don't know why the previous message got so mixed up, I had it nicely  structured when I typed it in previously. Sorry for this inconvience, has  never happened to me before, maybe result of my current comment having  made a collision with previous message on bugs.gentoo.org. I have resubmitted  my emerge --info comment due to this collision, which I also never had experienced before.  Any suggestions anyone? 
Comment 5 Jan Safrata 2007-06-01 06:35:49 UTC
Alexis Ballier  2007-05-26 11:10:48 0000:
> what about bug #113449 ?
it's fixed in upstream - current version works without any patching of the sources, just --disable-utf8 configure option needed

> what about http://wiki.videolan.org/Unicode ?
can't say anything about it, except that, why they left the --disable-utf8 configure switch there and fixed compile problems mentioned in the #113449 if it would not be supported at all?

> what will happen if you have wxgtk 2.8 installed ?
as this version of wxgtk is not in portage yet, it's hard to say...
Comment 6 Alexis Ballier gentoo-dev 2008-06-25 15:15:29 UTC
well now wx has been dropped entirely upstream and the option --enable/disable unicode was just a mistake as in fact there is none in the configure script.